<?php
/*Plugin Name: tigaman webdesign - Super Simple Twitter Feed
 * Plugin URI: https://www.tigaman.com/
 * Description: The WordPress Twitter shortcode allows you to embed a Twitter feed into a WordPress post or page. The shortcode can take several parameters.
 * Version: 1.0
 * Author: tigaman webdesign
 * Author URI: https://www.tigaman.hu
 */
?>
<?php add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twdsstf_settings_link' );
function twdsstf_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=super-simple-twitter-feed";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'twd-online-users') . '</a>';
      $links[] = $settings_link;
    return $links;
  }
?>
<?php 
function twitter_feed_shortcode( $atts ) {
    $atts = shortcode_atts( array(
        'data-width' => '',
        'data-height' => '',
        'data-tweet-limit' => '5',
        'data-theme' => 'light',
        'username' => '',
    ), $atts, 'twitter-feed' );
    
    if(empty($atts['username'])) return "Please provide a valid twitter username";
    $username = $atts['username'];
    $width = $atts['data-width'];
    $height = $atts['data-height'];
    $limit = $atts['data-tweet-limit'];
    $theme = $atts['data-theme'];
    
    // here you can use twitter API to retrieve tweets
    // and return the html to display the twitter feed
    return '<a class="twitter-timeline" data-tweet-limit="'.$limit.'" data-chrome="noheader" data-theme="'.$theme.'" data-width="'.$width.'" data-height="'.$height.'" href="https://twitter.com/'.$username.'?ref_src=twsrc%5Etfw"></a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>';
}
add_shortcode( 'twitter-feed', 'twitter_feed_shortcode' );
?>
<?php
/**
 * Generated by the WordPress Option Page generator
 * at http://jeremyhixon.com/wp-tools/option-page/
 */

class SuperSimpleTwitterFeed {
	private $super_simple_twitter_feed_options;

	public function __construct() {
		add_action( 'admin_menu', array( $this, 'super_simple_twitter_feed_add_plugin_page' ) );
		add_action( 'admin_init', array( $this, 'super_simple_twitter_feed_page_init' ) );
	}

	public function super_simple_twitter_feed_add_plugin_page() {
		add_options_page(
			'Super Simple twitter Feed', // page_title
			'Super Simple twitter Feed', // menu_title
			'manage_options', // capability
			'super-simple-twitter-feed', // menu_slug
			array( $this, 'super_simple_twitter_feed_create_admin_page' ) // function
		);
	}

	public function super_simple_twitter_feed_create_admin_page() {
		$this->super_simple_twitter_feed_options = get_option( 'super_simple_twitter_feed_option_name' ); ?>

<div class="wrap">
  <h2>Super Simple twitter Feed</h2>
	<p>The WordPress Twitter shortcode allows you to embed a Twitter feed into a WordPress post or page.</p>
			<p>The shortcode can take several parameters, including:</p>
  <ul>
			  <li>data-width: The width of the embedded Twitter feed, in pixels.</li>
			  <li>data-height: The height of the embedded Twitter feed, in pixels.</li>
			  <li>data-tweet-limit: The maximum number of tweets to display in the feed.</li>
			  <li>data-theme: The theme of the embedded Twitter feed, either &quot;light&quot; or &quot;dark&quot;.</li>
			  <li>username: The Twitter username of the account whose tweets you want to display.</li>
  </ul>
			<p>An example of a shortcode using these parameters would be:	</p>
			<p><strong>[twitter-feed data-width="500" data-height="500" data-tweet-limit="5" data-theme="light" username="twitterusername"]</strong></p>
			<p>If width parameter is left blank, then 100% width.<br />
			  If the height parameter is left blank, then automatic height.<br />
			  If the tweet limit parameter is left empty, 5 tweets will be displayed.<br />
			  If the theme is left blank, the light theme will work.<br />
			  The only parameter that is essential for this to work is the username.<br />
		    Minimum shortcode looks like this.</p>
			<p><strong>[twitter-feed  username=&quot;twitterusername&quot;]</strong></p>
			<p><br />
		    You can also use the do shortcode function in theme files like this:</p>
			<p style="color:rgba(255,0,0,1)">&lt;?php <span id="hs_cos_wrapper_post_body" data-hs-cos-general-type="meta_field" data-hs-cos-type="rich_text">echo do_shortcode(<strong>[twitter-feed data-width=&quot;500&quot; data-height=&quot;500&quot; data-tweet-limit=&quot;5&quot; data-theme=&quot;light&quot; username=&quot;twitterusername&quot;]</strong>');</span> ?&gt;<br />
			  <br />
  </p>		
  </div>
	<?php }

	public function super_simple_twitter_feed_page_init() {
		register_setting(
			'super_simple_twitter_feed_option_group', // option_group
			'super_simple_twitter_feed_option_name', // option_name
			array( $this, 'super_simple_twitter_feed_sanitize' ) // sanitize_callback
		);

		add_settings_section(
			'super_simple_twitter_feed_setting_section', // id
			'Settings', // title
			array( $this, 'super_simple_twitter_feed_section_info' ), // callback
			'super-simple-twitter-feed-admin' // page
		);

		add_settings_field(
			'zbignyev_0', // id
			'zbignyev', // title
			array( $this, 'zbignyev_0_callback' ), // callback
			'super-simple-twitter-feed-admin', // page
			'super_simple_twitter_feed_setting_section' // section
		);
	}

	public function super_simple_twitter_feed_sanitize($input) {
		$sanitary_values = array();
		if ( isset( $input['zbignyev_0'] ) ) {
			$sanitary_values['zbignyev_0'] = sanitize_text_field( $input['zbignyev_0'] );
		}

		return $sanitary_values;
	}

	public function super_simple_twitter_feed_section_info() {
		
	}

	public function zbignyev_0_callback() {
		printf(
			'<input class="regular-text" type="text" name="super_simple_twitter_feed_option_name[zbignyev_0]" id="zbignyev_0" value="%s">',
			isset( $this->super_simple_twitter_feed_options['zbignyev_0'] ) ? esc_attr( $this->super_simple_twitter_feed_options['zbignyev_0']) : ''
		);
	}

}
if ( is_admin() )
	$super_simple_twitter_feed = new SuperSimpleTwitterFeed();


?>
